%define rname	chan_unistim

Summary:	This module adds Unistim protocol support to the Asterisk PBX
Name:		asterisk-%{rname}
Version:	1.0.0.5
Release:	%mkrel f.4
License:	GPL
Group:		System/Servers
URL:		http://mlkj.net/UNISTIM/
Source0:	http://mlkj.net/asterisk/%{rname}-%{version}f.tar.bz2
BuildRequires:	asterisk-devel >= 1.4.24
Requires:	asterisk >= 1.4.24
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This is a channel driver for Unistim protocol. You can use a least
a Nortel i2004 phone with it. Only few features are supported :
Send/Receive CallerID, Redial, SoftKeys, SendText(), Music On Hold,
Message Waiting Indication (MWI).

%prep

%setup -q -n %{rname}-%{version}f

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

%build

make CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk/modules

install -m0644 unistim.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 chan_unistim.so %{buildroot}%{_libdir}/asterisk/modules

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/unistim.conf
%attr(0755,root,root) %{_libdir}/asterisk/modules/chan_unistim.so



%changelog
* Wed Aug 12 2009 Lonyai Gergely <aleph@mandriva.org> 1.0.0.5-f.4mdv2008.1
+ Revision: 415550
- rebuild
- update to 1.0.0.5f

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - Branching 2008.1 release for updates.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdk
- 0.9.4

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.0-0.beta.1mdk
- initial Mandriva package

